AppendVertex Method

IntelliCAD 11.1 Object Library
AppendVertex Method
See Also 
Vertices
The Point objects to add to the polygon mesh.
PolygonMesh Object : AppendVertex Method

Description

Appends a row of Points to a PolygonMesh.

Syntax

Visual Basic
Public Sub AppendVertex( _
   ByVal Vertices As Points _
) 

Parameters

Vertices
The Point objects to add to the polygon mesh.

Example

Sub Example_AppendVertex()

' This example creates a polyline in model space and appends a vertex to it.

     Dim myDoc As IntelliCAD.Document

     Dim myPline As IntelliCAD.Polyline

     Dim myPoints As IntelliCAD.points

     Dim pt As IntelliCAD.Point

     Set myDoc = ActiveDocument

     Set myPoints = Library.CreatePoints

     Set pt = Library.CreatePoint(7, 2, 0)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = pt.x

     myPoints(myPoints.Count - 1).y = pt.y

     myPoints(myPoints.Count - 1).z = pt.z

     Set pt = Library.CreatePoint(9, 8, 0)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = pt.x

     myPoints(myPoints.Count - 1).y = pt.y

     myPoints(myPoints.Count - 1).z = pt.z

     Set myPline = ThisDocument.ModelSpace.AddPolyline(myPoints)

     myPline.Update

 

     ThisDocument.Application.ZoomAll

     Dim newVertex As IntelliCAD.Point

     Me.hide

     Set newVertex = ThisDocument.Utility.GetPoint(, "Pick a point for a new vertex.")

     myPline.AppendVertex newVertex

     ThisDocument.Application.ZoomAll

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.